Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158107 - Serial console turns into garbage after initialising 16550A
Summary: Serial console turns into garbage after initialising 16550A
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: David Woodhouse
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-05-18 18:34 UTC by Kjetil T. Homme
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 13:10:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:514 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 2 2005-10-05 04:00:00 UTC

Description Kjetil T. Homme 2005-05-18 18:34:55 UTC
(Bug #152385 may be related to this problem.)

when you boot the default RHEL4 kernel on Dell PowerEdge 2650 (and others) with
serial console enabled, the 8250 driver will foul up the settings during its
initialisation so that the serial driver will print nothing but garbage.

Kernel command line: ks=nfs:host:/path/ks.cfg initrd=initrd.img
ramdisk_size=8192 BOOT_IMAGE=vmlinuz console=ttyS0,9600 console=tty0

this works fine until:

serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
Serial: 8250/16550 driver $Revision: 1.90 $ 8 ports, IRQ sharing enabled
^@%^@U^@P^@^@^@Z%$^@;^@^@t^@A?`^@~^@^@^@^@^@1^@C^@^L^@^@^@^\xZf0^D^@^_^@^@-^@

the problem has been discussed on linux-kernel, but I don't think it has been
resolved, the code remains in 2.6.11.

http://www.ussg.iu.edu/hypermail/linux/kernel/0503.3/1091.html

Comment 1 David Woodhouse 2005-05-24 10:45:42 UTC
Assuming the port is detected as a NS16550A, this is a duplicate of bug #156705.

Bug #152385 is something entirely different.

*** This bug has been marked as a duplicate of 156705 ***

Comment 2 Red Hat Bugzilla 2005-10-05 13:10:18 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html



Note You need to log in before you can comment on or make changes to this bug.